package com.xinelu.familydoctor.service;

import com.xinelu.familydoctor.entity.EvaluateAnswer;
import com.xinelu.familydoctor.entity.EvaluateRecord;
import com.xinelu.familydoctor.vo.EvaluateRecordTimelineVO;

import java.util.List;

public interface EvaluateRecordService {
    void submit(EvaluateRecord entity);

    List<EvaluateRecordTimelineVO> getEvaluateTimeline(Long userId);

    List<EvaluateAnswer> getAnswers(Long recordId);
}
